Package org.gitana.platform.client.identity

# Interface Identity

All Superinterfaces:
  `Copyable`, `DirectoryDocument`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `IdentityImpl`

public interface Identity extends DirectoryDocument, Selfable

Author:
  uzi

## Field Summary

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`changePassword(String password, String verifyPassword)`
Changes the password for this identity.
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`findPolicyTenantObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`findPolicyTenantObjects(String authorityId)`
Finds all of the tenant objects that this identity's policy's users participate in.
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`findPolicyTenantObjects(Registrar registrar)`
Finds all of the tenant objects that this identity's policy's users participate in.
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`findPolicyTenantObjects(Registrar registrar, String authorityId)`
Finds all of the tenant objects that this identity's policy's users participate in.
`com.fasterxml.jackson.databind.node.ObjectNode`
`findPolicyUserObjectForTenant(String tenantId)`
Finds the first user object that this identity's policy has on the given tenant's platform.
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`findPolicyUserObjects()`
Retrieves a map of all of the user objects that this identity's policy has on any platform.
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`findPolicyUserObjects(String tenantId)`
Retrieves a map of all of the user objects that this identity's policy has on any platform.
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`findRecipientUserObjects()`
Retrieves a map of all of the user objects that are recipients of this identity.

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.directory.DirectoryDocument

`getDirectory, getDirectoryId, getPlatform`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Method Details

### changePassword

void changePassword(String password, String verifyPassword)
Changes the password for this identity.

Parameters:
  `password` -
  `verifyPassword` -

### findPolicyUserObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> findPolicyUserObjects()
Retrieves a map of all of the user objects that this identity's policy has on any platform.

Returns:
  result map

### findPolicyUserObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> findPolicyUserObjects(String tenantId)
Retrieves a map of all of the user objects that this identity's policy has on any platform. If a tenant ID is supplied, then only those user objects on the provided tenant will be handed back.

Parameters:
  `tenantId` - tenant ID
Returns:
  result map

### findPolicyUserObjectForTenant

com.fasterxml.jackson.databind.node.ObjectNode findPolicyUserObjectForTenant(String tenantId)
Finds the first user object that this identity's policy has on the given tenant's platform.

Parameters:
  `tenantId` -
Returns:
  user object

### findPolicyTenantObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> findPolicyTenantObjects()

Returns:
  all of the tenant objects that this identity's policy's users participate in

### findPolicyTenantObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> findPolicyTenantObjects(Registrar registrar)
Finds all of the tenant objects that this identity's policy's users participate in. Filters and keeps only those within the specified registry.

Parameters:
  `registrar` -
Returns:

### findPolicyTenantObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> findPolicyTenantObjects(String authorityId)
Finds all of the tenant objects that this identity's policy's users participate in. Filters and keeps only those tenants whose user has the specified authority against the tenant platform.

Parameters:
  `authorityId` -
Returns:

### findPolicyTenantObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> findPolicyTenantObjects(Registrar registrar, String authorityId)
Finds all of the tenant objects that this identity's policy's users participate in. Filters and keeps only those within the specified registry. Keeps only those tenants whose user has the specified authority against the tenant platform.

Parameters:
  `registrar` -
Returns:

### findRecipientUserObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> findRecipientUserObjects()
Retrieves a map of all of the user objects that are recipients of this identity.

Returns:
  result map